PETSc version 3.15.5
Fix/Edit manual page

# PETSC_VIEWER_MATLAB_

Creates a Matlab PetscViewer shared by all processors in a communicator.

### Synopsis

    PetscViewer  PETSC_VIEWER_MATLAB_(MPI_Comm comm)

Collective

### Input Parameter

| comm | - the MPI communicator to share the Matlab PetscViewer

### Options Database Keys

| -viewer_matlab_filename <name> | - name of the Matlab file

### Environmental variables

| PETSC_VIEWER_MATLAB_FILENAME | - name of the Matlab file

### Notes

Unlike almost all other PETSc routines, PETSC_VIEWER_MATLAB_ does not return an error code. The matlab PetscViewer is usually used in the form

          XXXView(XXX object,PETSC_VIEWER_MATLAB_(comm));

Use PETSC_VIEWER_SOCKET_() or PetscViewerSocketOpen() to communicator with an interactive MATLAB session.

### See Also

PETSC_VIEWER_MATLAB_WORLD, PETSC_VIEWER_MATLAB_SELF, PetscViewerMatlabOpen(), PetscViewerCreate(),
PetscViewerDestroy()

### Level

intermediate

### Location

src/sys/classes/viewer/impls/matlab/vmatlab.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages